package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

import java.util.Date;

/**
 *
 */
@Data
@ExcelTarget("KeyPartsCheckListDto")
public class KeyPartsCheckListDto {

    /**
     * 关键件核查清单
     */
    private String id;


    /**
     * 参数名称
     */
    @Excel(name = "核查项名称")
    private String partName;
    @Excel(name = "参数项值")
    private String partNum;
    @Excel(name = "官方数据")
    private String officialData;
    @Excel(name = "项目名称")
    private String handleType;
    @Excel(name = "总成")
    private String assemblyName;
    @Excel(name = "车型系列")
    private String vehicleSeries;

    /**
     * 车辆型号
     */
    @Excel(name = "包含车型")
    private String vehicleType;

//    /**
//     * 参数值
//     */
//    private String orgName;

    /**
     * 官方数据
     */
    @Excel(name = "零部件")
    private String obdDetailName;

    /**
     * 一致性对比结果
     * 0：未核查
     * 1：一致
     * 2：不一致
     */
    private int type;

    /**
     * 识别码图片地址
     */
    private String qrPath;
    /**
     * 配置参数
     */
    @Excel(name = "配置参数")
    private String parmConfig;

    /**
     * 核查结果
     */
    @Excel(name = "核查结果")
    private String checkResults;

    /**
     * 核查图片
     */
    @Excel(name = "核查图片", type = 2 ,width = 20 , height = 20,imageType = 2)
    private byte[] checkPicture;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String qrNum;

    /**
     * 关键件核查时间
     */
    @Excel(name = "核查时间",format = "yyyy-MM-dd HH:mm:ss")
    private Date keyPartsTime;

    /**
     * 事业部名称
     */
    @Excel(name = "事业部")
    private String orgName;
}
