package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * //功能描述： 导出excel的字段
 *
 * @author 周梓武
 * @since 2019-11-05
 */

@Data
public class StandardResDTO {

    /**
     * 序号
     */
    @Excel(name = "序号", orderNum = "1", width = 10)
    private int number;

    /**
     * 标准编号
     */
    @Excel(name = "标准编号", orderNum = "2", width = 20)
    private String standardCode;

    /**
     * 标准名称
     */
    @Excel(name = "标准名称", orderNum = "3", width = 60)
    private String standardName;

    /**
     * 上传负责人
     */
    @Excel(name = "操作人", orderNum = "4", width = 20)
    private String createUser;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", orderNum = "5", width = 30)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    /**
     * 修改时间
     */
    @Excel(name = "修改时间", orderNum = "6", width = 30)
    private String updateTime;
}
